C	SUBROUTINE PETAL
	INTEGER I,PETAL,TIMET(2)
	INTEGER IDBUF(2000)
	REAL ANGLE,SCALE,X,Y,PI
	PI = 3.1415926*2.0/360.  !CONVERSION FACTOR
	IA=230
	IB=12
	IC=158
C	COMMON /DPYBUF/ IDBUF(2000)
C	COMMON /RAND/ IA,IB,IC
C
C
C
	IVEC = 720
200	ISTYLE = (IFIX(RAN(IA,IB)*2000.))+3
	PETAL = (IRAN(IA,IB))*50
C
C
C
	CALL INIT(IDBUF,2000)
C	CALL SCAL(-1.0,-1.0,1.0,1.0) !FOR GT44
	CALL SCAL(-1.34375,-1.0,1.34375,1.65625)
	CALL APNT(1.,0.,0,-5)
	CALL RDOT(0.,0.,0,-5)
	X = 1.0
	Y = 0.0
	II = 0
	DO 100 I=1,IVEC
	II = II + ISTYLE
	IF (II.GT.2880) II = II - 2880
	ANGLE = (II/8)*PI
	SCALE = COS(ANGLE*PETAL)
	XX = SCALE*COS(ANGLE)
	YY = SCALE*SIN(ANGLE)
	CALL VECT(XX-X,YY-Y)
C	IT = IPOT0()
C	IF (IT.NE.0) CALL SLEEP(0,0,0,IT)
	X = XX
100	Y = YY
	CALL TIME(60*2)
50	CALL TIMR(JJ)
	IF(JJ.NE.0)GO TO 50
	GO TO 200
C200	CALL SLEEP(0,0,5,0)  !TIME TO STARE AT THE PICTURE
	STOP
	END
